struct PS_IN
{
	float4 PosT		: SV_Position;
	float3 Normal	: NORMAL;
	float2 TexCoord : TEXCOORD0;
	float3 Pos		: TEXCOORD1;
	float4 Color	: COLOR;
	float3 Extinction : TEXCOORD2;
	float3 Inscatter : TEXCOORD3;
};

shared cbuffer cbPerObject
{
	row_major matrix g_matVP : VIEWPROJ;
    row_major matrix g_matWVP;
    row_major matrix g_matWorld;
	row_major matrix g_matNormal;
    float4 g_Diffuse;
    float3 g_Emissive;
    float3 g_Specular;
    float  g_Shinyness;
	float  g_AlphaRef;
};

shared cbuffer cbGloabl
{
    float3 g_CamPos : CAMPOS;
    float3 g_AmbientLight : AMBIENT;
};

shared Texture2D g_txDiffuse;

shared SamplerState g_sTexture
{
    //Filter = MIN_MAG_MIP_LINEAR;
    //Filter = (g_TexFilter);
    Filter = ANISOTROPIC;
    //MaxAnisotropy = 16;
    AddressU = Wrap;
    AddressV = Wrap;
};